scim_transaction.h File Reference

Transaction class. More...

## Classes

class | scim::TransactionError
| An exception class to hold Transaction related errors. More...
class | scim::Transaction
| This class is used to pack up many data and commands into one package and send them via socket. More...
class | scim::TransactionReader
| This class is used to read data from a transaction without changing it. More...

## Namespaces

namespace | scim

## Enumerations

enum

scim::TransactionDataType {
scim::SCIM_TRANS_DATA_UNKNOWN , scim::SCIM_TRANS_DATA_COMMAND , scim::SCIM_TRANS_DATA_RAW , scim::SCIM_TRANS_DATA_UINT32 ,
scim::SCIM_TRANS_DATA_STRING , scim::SCIM_TRANS_DATA_WSTRING , scim::SCIM_TRANS_DATA_KEYEVENT , scim::SCIM_TRANS_DATA_ATTRIBUTE_LIST ,
scim::SCIM_TRANS_DATA_LOOKUP_TABLE , scim::SCIM_TRANS_DATA_PROPERTY , scim::SCIM_TRANS_DATA_PROPERTY_LIST , scim::SCIM_TRANS_DATA_VECTOR_UINT32 ,
scim::SCIM_TRANS_DATA_VECTOR_STRING , scim::SCIM_TRANS_DATA_VECTOR_WSTRING , scim::SCIM_TRANS_DATA_TRANSACTION
}

| Signature of all valid data types which can be store into transaction. More...

## Detailed Description

Transaction class.